! ---------------------------------------------------------- !
     subroutine ms_srt_mm(msgtype)
! ---------------------------------------------------------- !
! Purpose: To ship spectral information to mm.
! ---------------------------------------------------------- !
     use gms
     use communicate
     implicit none
     integer, intent(in) :: msgtype 
     character(len=30) :: mm = 'mm'
     external fbuff
     
!    CALL pvmfinitsend ( PVMDEFAULT, info )
!    CALL pvmfpack( INTEGER4, specgrid, 1, 1, info )
!    CALL pvmfpack( REAL8, specwavlen, specgrid, 1, info )
!    CALL pvmfpack( REAL8, j_emissivity, specgrid, 1, info )
!    CALL pvmfpack( REAL8, k_opacity, specgrid, 1, info )
!    CALL pvmfsend( ints(0), msgtype, info )
 
     call pk(specwavlen,gsize)
     call pk(j_emissivity, gsize)
     call pk(k_opacity, gsize)
     call destin(msgtype,mm)     

     end subroutine ms_srt_mm
